<?xml version="1.0" encoding="UTF-8"?>
<value type="metahash">
    <meta key="Description" type="string">A plot with absolute time on the X axis</meta>

    <value key="NeedleDrawPriority" merge="@/graphing/drawpriority.xml">
        <meta key="Description" type="string">Draw priority for realtime needle indicators</meta>
    </value>

    <value key="Traces" type="metahash">
        <meta key="Description" type="string">The traces in the plot</meta>

        <meta key="Editor" type="hash">
            <value key="Type" type="string">UniqueKey</value>
        </meta>

        <value key="" merge="@/graphing/graph2d/timeseries2dneedle.xml">
            <meta key="Description" type="string">Trace configuration</meta>

            <value key="Needle" type="metahash">
                <meta key="Description" type="string">Realtime needle settings, only used if no explicit needle definitions are present</meta>
            </value>
        </value>
    </value>

    <value key="Needles" type="metahash">
        <meta key="Description" type="string">The realtime data needles</meta>
        <meta key="UndefinedDescription" type="string">The trace definitions</meta>

        <meta key="Editor" type="hash">
            <value key="Type" type="string">UniqueKey</value>
        </meta>

        <value key="" merge="@/graphing/graph2d/timeseries2dneedle.xml">
            <meta key="Description" type="string">Needle configuration</meta>

            <value key="Origin"/>
            <value key="Line"/>
            <value key="Symbol"/>
            <value key="Fit"/>
            <value key="Continuity"/>
            <value key="SkipUndefined"/>
        </value>
    </value>

    <value key="XBins" type="metahash">
        <meta key="Description" type="string">Bins with the binning definition along the X axis (vertically orientated box-whiskers)</meta>

        <meta key="Editor" type="hash">
            <value key="Type" type="string">UniqueKey</value>
        </meta>

        <value key="" merge="@/graphing/graph2d/timeseries2dbins.xml">
            <meta key="Description" type="string">Bin display configuration</meta>
        </value>
    </value>

    <value key="YAxes" type="metahash">
        <meta key="Description" type="string">Y (vertical) axis definitions with the key being used by the traces or binning for binding</meta>

        <meta key="Editor" type="hash">
            <value key="Type" type="string">UniqueKey</value>
        </meta>

        <value key="" merge="@/graphing/graph2d/axis2dside.xml"/>
    </value>
    <value key="ZAxes" type="metahash">
        <meta key="Description" type="string">Z (color) axis definitions with the key being used by the traces for binding</meta>

        <meta key="Editor" type="hash">
            <value key="Type" type="string">UniqueKey</value>
        </meta>

        <value key="" merge="@/graphing/graph2d/axis2dcolor.xml"/>
    </value>
</value>